Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713524 - app-text/ansifilter-2.16 does not respect LDFLAGS
Summary: app-text/ansifilter-2.16 does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Palimaka (kensington)
URL: https://gitlab.com/saalen/ansifilter/...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2020-03-19 19:20 UTC by Agostino Sarubbo
Modified: 2020-10-10 07:57 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ansifilter-ldflags-git.patch (0001-app-text-ansifilter-Inherit-environment-LDFLAGS-to-p.patch,2.48 KB, patch)
2020-06-21 00:48 UTC, Gavin Pryke
Details | Diff
ansifilter-ldflags-git-v2.patch (0001-app-text-ansifilter-Inherit-environment-LDFLAGS-to-p.patch,2.48 KB, patch)
2020-06-29 16:15 UTC, Gavin Pryke
Details | Diff
ansifilter-ldflags-git-v2.patch (0001-app-text-ansifilter-Pass-QA-warning-for-LDFLAGS.patch,3.52 KB, patch)
2020-06-29 16:43 UTC, Gavin Pryke
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-03-19 19:20:47 UTC
It does not respect LDFLAGS but there are no portage QA notice.

On the link line:
x86_64-pc-linux-gnu-g++   arg_parser.o stringtools.o cmdlineoptions.o main.o platform_fs.o codegenerator.o htmlgenerator.o pangogenerator.o texgenerator.o latexgenerator.o rtfgenerator.o svggenerator.o plaintextgenerator.o bbcodegenerator.o elementstyle.o stylecolour.o -o ansifilter
Comment 1 Gavin Pryke 2020-06-21 00:48:34 UTC
Created attachment 645466 [details, diff]
ansifilter-ldflags-git.patch


Please find attached patch(es) attempting to fix the issue.

Thanks.

----8<----
armv7a-unknown-linux-gnueabihf-g++ -c -O2 -pipe -march=armv7ve+simd -mtune=cortex-a15 -mfpu=neon-vfpv4 -mfp16-format=ieee -mfloat-abi=hard -DNDEBUG -std=c++11  stylecolour.cpp -o stylecolour.o
armv7a-unknown-linux-gnueabihf-g++ -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0  arg_parser.o stringtools.o cmdlineoptions.o main.o platform_fs.o codegenerator.o htmlgenerator.o pangogenerator.o texgenerator.o latexgenerator.o rtfgenerator.o svggenerator.o plaintextgenerator.o bbcodegenerator.o elementstyle.o stylecolour.o -o ansifilter
make[1]: Leaving directory '/mnt/tosh2/var/tmp/portage/app-text/ansifilter-2.16/work/ansifilter-2.16/src'
make -j4 
/usr/lib/qt5/bin/uic ansifilter.ui -o ui_ansifilter.h
----8<----
>>> Install app-text/ansifilter-2.16 into /mnt/tosh2/var/tmp/portage/app-text/ansifilter-2.16/image
gzip: man/ansifilter.1.gz: No such file or directory
>>> Completed installing app-text/ansifilter-2.16 into /mnt/tosh2/var/tmp/portage/app-text/ansifilter-2.16/image

 * Final size of build directory: 2732 KiB (2.6 MiB)
 * Final size of installed tree:   568 KiB

strip: armv7a-unknown-linux-gnueabihf-strip --strip-unneeded -N __gentoo_check_ldflags__ -R .comment -R .GCC.command.line -R .note.gnu.gold-version
   /usr/bin/ansifilter-gui
   /usr/bin/ansifilter
./
./usr/
./usr/bin/
./usr/bin/ansifilter-gui
./usr/bin/ansifilter
./usr/share/
./usr/share/doc/
./usr/share/doc/ansifilter-2.16/
./usr/share/doc/ansifilter-2.16/README.adoc.bz2
./usr/share/man/
./usr/share/man/man1/
./usr/share/man/man1/ansifilter.1.bz2
>>> Done.
Comment 2 Michael Palimaka (kensington) gentoo-dev 2020-06-25 09:46:27 UTC
Would you like to send your patch to upstream? https://gitlab.com/saalen/ansifilter
Comment 3 Gavin Pryke 2020-06-28 12:09:42 UTC
New patch here too, updates the makefile to make the ebuild a bit cleaner. please have a look.

https://gitlab.com/saalen/ansifilter/-/issues/24

Thanks.
Comment 4 Gavin Pryke 2020-06-29 16:15:33 UTC
Created attachment 647092 [details, diff]
ansifilter-ldflags-git-v2.patch

Posting updated patch, this is as far as I got to. Thanks.
Comment 5 Gavin Pryke 2020-06-29 16:43:22 UTC
Created attachment 647094 [details, diff]
ansifilter-ldflags-git-v2.patch

Sorry for the spam I reposted the old patch. hopefully I have the right file this time.
Comment 6 Sam James archtester gentoo-dev Security 2020-08-05 05:54:56 UTC
Looks like the patch got applied upstream: https://gitlab.com/saalen/ansifilter/-/commit/16ca2840d46c06513c6a4c0c88d7442c26c279a3.
Comment 7 Agostino Sarubbo gentoo-dev 2020-09-24 08:24:06 UTC
Hello, thanks for the patch. I believe you can speed up the process by making a pull-request via Github.
Comment 8 Larry the Git Cow gentoo-dev 2020-10-10 07:56:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77862d1c32ad6853f9335b3726056f61ef5e84e8

commit 77862d1c32ad6853f9335b3726056f61ef5e84e8
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2020-10-10 07:55:48 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2020-10-10 07:56:13 +0000

    app-text/ansifilter: version bump 2.17
    
    Closes: https://bugs.gentoo.org/713524
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Michael Palimaka <kensington@gentoo.org>

 app-text/ansifilter/Manifest               |  1 +
 app-text/ansifilter/ansifilter-2.17.ebuild | 64 ++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)
Comment 9 Michael Palimaka (kensington) gentoo-dev 2020-10-10 07:57:51 UTC
Gavin - thank-you for your work improving the makefile and getting it upstream.